> For the complete documentation index, see [llms.txt](https://developers.make.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.make.com/api-documentation/api-reference/teams.md).

# Teams

Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams).

## List teams

> Gets the list of teams in the organization with specified \`organizationId\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["teams:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams":{"get":{"tags":["Teams"],"summary":"List teams","description":"Gets the list of teams in the organization with specified `organizationId`.","parameters":[{"name":"organizationId","in":"query","schema":{"type":"integer"},"required":true,"description":"The ID of the organization."},{"name":"includePrivateSpaces","in":"query","schema":{"type":"boolean","default":false},"required":false,"description":"When `true`, the caller's private space(s) — companies of type `personal` — are included\nin the list alongside standard teams. Defaults to `false`. Has no effect on instances where\nprivate spaces are not available. Request `cols[]=type` to tell private spaces apart from\nstandard teams in the response.\n"},{"name":"cols","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/api-documentation/pagination-sorting-filtering/filtering)\n"},{"name":"pg[sortBy]","in":"query","schema":{"type":"string"},"description":"The value that will be used to sort returned entities by."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The value of entities you want to skip before getting entities you need."},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"Sets the maximum number of results per page in the API call response. For example, `pg[limit]=100`. The default number varies with different API endpoints."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"teams":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"organizationId":{"type":"integer"},"activeScenarios":{"type":"integer","description":"Number of active scenarios in the team. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"activeApps":{"type":"integer","description":"Number of distinct apps that need a connection, used by the team's active scenarios. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"operationsLimit":{"type":"integer"},"transferLimit":{"type":"bigint"},"type":{"type":"string","enum":["standard","personal"],"description":"Distinguishes a standard team from a private space (`personal`). Only returned when requested via\n`cols[]=type`. Private spaces are included in the list only when `includePrivateSpaces=true`.\n"}}}},"pg":{"type":"object","properties":{"last":{"type":"string"},"showLast":{"type":"boolean"},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}}}}}}}
```

## Create a team

> Create a new team in the organization with the specified \`organizationId\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["teams:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams":{"post":{"tags":["Teams"],"summary":"Create a team","description":"Create a new team in the organization with the specified `organizationId`.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the team."},"organizationId":{"type":"integer","description":"The ID of the organization."},"operationsLimit":{"type":"integer","minimum":0,"maximum":2000000000,"description":"The maximum number of operations allowed for the team. The maximum matches the highest number of credits an organization can be licensed for."}},"required":["name","organizationId"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"team":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"organizationId":{"type":"integer"},"activeScenarios":{"type":"integer","description":"Number of active scenarios in the team. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"activeApps":{"type":"integer","description":"Number of distinct apps that need a connection, used by the team's active scenarios. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"operationsLimit":{"type":"integer"},"transferLimit":{"type":"bigint"},"type":{"type":"string","enum":["standard","personal"],"description":"Distinguishes a standard team from a private space (`personal`). Only returned when requested via\n`cols[]=type`. Private spaces are included in the list only when `includePrivateSpaces=true`.\n"}}},"userTeamRole":{"type":"object","properties":{"usersRoleId":{"type":"integer","nullable":true,"description":"The user's role in the team, or `null` when the user has no role (e.g. after removal)."},"userId":{"type":"integer"},"teamId":{"type":"integer"},"changeable":{"type":"boolean"},"ssoPending":{"type":"boolean"}}}}}}}}}}}}}
```

## Get team details

> Returns information about the team with the specified \`teamId\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["teams:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}":{"get":{"tags":["Teams"],"summary":"Get team details","description":"Returns information about the team with the specified `teamId`.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"cols","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/api-documentation/pagination-sorting-filtering/filtering)\n"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"team":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"organizationId":{"type":"integer"},"activeScenarios":{"type":"integer","description":"Number of active scenarios in the team. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"activeApps":{"type":"integer","description":"Number of distinct apps that need a connection, used by the team's active scenarios. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"operationsLimit":{"type":"integer"},"transferLimit":{"type":"bigint"},"type":{"type":"string","enum":["standard","personal"],"description":"Distinguishes a standard team from a private space (`personal`). Only returned when requested via\n`cols[]=type`. Private spaces are included in the list only when `includePrivateSpaces=true`.\n"}}}}}}}}}}}}}
```

## Delete a team

> Deletes the team with the specified \`teamId\`. Make also deletes all data associated with the team, for example scenarios, webhooks or custom team variables.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["teams:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}":{"delete":{"tags":["Teams"],"summary":"Delete a team","description":"Deletes the team with the specified `teamId`. Make also deletes all data associated with the team, for example scenarios, webhooks or custom team variables.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"description":"Set this parameter to `true` to confirm the team deletion. Otherwise, the API call returns an error and the team is not deleted."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"team":{"type":"integer"}}}}}}}}}}}
```

## Update a team

> Updates information about the team with the specified \`teamId\`.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["teams:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}":{"patch":{"tags":["Teams"],"summary":"Update a team","description":"Updates information about the team with the specified `teamId`.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"cols","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/api-documentation/pagination-sorting-filtering/filtering)\n"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","minLength":1,"maxLength":128,"description":"The new name of the team."},"operationsLimit":{"type":"integer","nullable":true,"minimum":0,"maximum":2000000000,"description":"The maximum number of operations allowed for the team. The maximum matches the highest number of credits an organization can be licensed for. `null` removes the limit."},"scenarioDrafts":{"type":"boolean","deprecated":true,"description":"This property is deprecated. It is only supported on private instances and ignored on Make's public cloud.\n"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"team":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"organizationId":{"type":"integer"},"activeScenarios":{"type":"integer","description":"Number of active scenarios in the team. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"activeApps":{"type":"integer","description":"Number of distinct apps that need a connection, used by the team's active scenarios. Only returned by `GET /teams/{teamId}` when requested via `cols[]`."},"operationsLimit":{"type":"integer"},"transferLimit":{"type":"bigint"},"type":{"type":"string","enum":["standard","personal"],"description":"Distinguishes a standard team from a private space (`personal`). Only returned when requested via\n`cols[]=type`. Private spaces are included in the list only when `includePrivateSpaces=true`.\n"}}}}}}}}}}}}}
```

## List team variables

> Retrieves the collection of team variables. The response contains all team variables if your account has the custom variables feature available. Otherwise, the response contains only Make system variables.\
> \
> Check availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\` for the organization to which the team belongs. If the response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for Make pricing plans overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["team-variables:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}/variables":{"get":{"tags":["Teams"],"summary":"List team variables","description":"Retrieves the collection of team variables. The response contains all team variables if your account has the custom variables feature available. Otherwise, the response contains only Make system variables.\n\nCheck availability of the custom variables feature with the API call `GET /organizations/{organizationId}` for the organization to which the team belongs. If the response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for Make pricing plans overview.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"teamVariables":{"type":"object","properties":{"typeId":{"type":"integer"},"name":{"type":"string"},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}]},"isSystem":{"type":"boolean"}}}}}}}}}}}}}
```

## Create team variable

> Creates new team variable. You can check the availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\` for the organization to which the team belongs. If the API call response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> A successful response contains all information about the new variable. If you don't have the custom variables feature available then the API call returns the error 404.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for Make pricing plans overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["team-variables:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}/variables":{"post":{"tags":["Teams"],"summary":"Create team variable","description":"Creates new team variable. You can check the availability of the custom variables feature with the API call `GET /organizations/{organizationId}` for the organization to which the team belongs. If the API call response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nA successful response contains all information about the new variable. If you don't have the custom variables feature available then the API call returns the error 404.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for Make pricing plans overview.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"typeId":{"type":"number","description":"Number representing the type of the custom variable. The mapping of `typeId` and variable types is as follows:\n\n- 1: `number`,\n - 2: `string`,\n - 3: `boolean`,\n - 4: `date`in ISO 8601 compliant format `YYYY-MM-DDTHH:mm:ss.sssZ`. For example: `1998-03-06T12:31:00.000Z`."},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}],"description":"Value assigned to the custom variable."},"name":{"type":"string","description":"The name of the variable. You can use letters, digits, `$` and `_` characters in the custom variable name."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"teamVariable":{"type":"object","properties":{"typeId":{"type":"integer"},"name":{"type":"string"},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}]},"isSystem":{"type":"boolean"}}}}}}}}}}}}}
```

## Delete team variable

> Deletes team variable.\
> \
> If you don't have the custom variables feature available then the API call returns error 404. Check the availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\` for the organization in which the team belongs. If the response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for Make pricing plans overview.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["team-variables:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}/variables/{variableName}":{"delete":{"tags":["Teams"],"summary":"Delete team variable","description":"Deletes team variable.\n\nIf you don't have the custom variables feature available then the API call returns error 404. Check the availability of the custom variables feature with the API call `GET /organizations/{organizationId}` for the organization in which the team belongs. If the response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for Make pricing plans overview.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"variableName","in":"path","schema":{"type":"string"},"required":true,"description":"The name of the custom variable."},{"name":"confirmed","in":"query","schema":{"type":"boolean"},"description":"Set to `true` to confirm deleting the custom variable. Otherwise the API call fails with the error IM004 (406)."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## Update team variable

> Updates custom team variable with the specified variable \`name\`. Only parameters specified in the request body are updated.\
> \
> You can check the availability of the custom variables feature with the API call \`GET /organizations/{organizationId}\` for the organization to which the team belongs. If the response contains \`"customVariables": true\` pair in the \`license\` object then you have access to the custom variables feature.\
> \
> A successful response contains all information about the updated variable. If you don't have the custom variables feature available then the API call returns the error 404.\
> \
> Refer to the \[Make pricing page]\(<https://www.make.com/en/help/general/pricing-parameters>) for the Make pricing plans overview.\
> \
> Update the variable \`typeId\` accordingly when you are updating the variable \`value\`. Make checks whether the variable type and value match in the request body. There is no check for incorrect variable type when you update only variable value and \_vice versa\_.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["team-variables:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}/variables/{variableName}":{"patch":{"tags":["Teams"],"summary":"Update team variable","description":"Updates custom team variable with the specified variable `name`. Only parameters specified in the request body are updated.\n\nYou can check the availability of the custom variables feature with the API call `GET /organizations/{organizationId}` for the organization to which the team belongs. If the response contains `\"customVariables\": true` pair in the `license` object then you have access to the custom variables feature.\n\nA successful response contains all information about the updated variable. If you don't have the custom variables feature available then the API call returns the error 404.\n\nRefer to the [Make pricing page](https://www.make.com/en/help/general/pricing-parameters) for the Make pricing plans overview.\n\nUpdate the variable `typeId` accordingly when you are updating the variable `value`. Make checks whether the variable type and value match in the request body. There is no check for incorrect variable type when you update only variable value and _vice versa_.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"variableName","in":"path","schema":{"type":"string"},"required":true,"description":"The name of the custom variable."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"typeId":{"type":"number","description":"Number representing the type of the custom variable. The mapping of `typeId` and variable types is as follows:\n\n- 1: `number`,\n - 2: `string`,\n - 3: `boolean`,\n - 4: `date`in ISO 8601 compliant format `YYYY-MM-DDTHH:mm:ss.sssZ`. For example: `1998-03-06T12:31:00.000Z`."},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}],"description":"Value assigned to the custom variable."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"teamVariable":{"type":"object","properties":{"typeId":{"type":"integer"},"name":{"type":"string"},"value":{"oneOf":[{"type":"string"},{"type":"boolean"},{"type":"number"},{"type":"object","additionalProperties":{}},{"type":"array","items":{}}]},"isSystem":{"type":"boolean"}}}}}}}}}}}}}
```

## History of custom variable updates

> Gets the history of updates of the specified custom variable. The response contains the ID value of the variable history entry and a \`diffObject\`. The \`diffObject\` contains:\
> \
> \- the original value,\
> &#x20;\- the new value,\
> &#x20;\- the timestamp of the update,\
> &#x20;\- the author of the update.\
> \
> If the variable doesn't have any updates, the \`diffObject\` contains the current value of the variable instead of the original and new values.\
> \
> The update history entries are sorted from newest to latest.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["team-variables:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}/variables/{variableName}/history":{"get":{"tags":["Teams"],"summary":"History of custom variable updates","description":"Gets the history of updates of the specified custom variable. The response contains the ID value of the variable history entry and a `diffObject`. The `diffObject` contains:\n\n- the original value,\n - the new value,\n - the timestamp of the update,\n - the author of the update.\n\nIf the variable doesn't have any updates, the `diffObject` contains the current value of the variable instead of the original and new values.\n\nThe update history entries are sorted from newest to latest.","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"variableName","in":"path","schema":{"type":"string"},"required":true,"description":"The name of the custom variable."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"teamVariableHistory":{"type":"array","items":{"oneOf":[{"type":"object","properties":{"id":{"type":"integer"},"diffObject":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"typeId":{"type":"integer"}}},"changed":{"type":"string","format":"date"},"action":{"type":"string","description":"organization_variable_created or organization_variable_edited or team_variable_created or team_variable_edited"},"author":{"type":"string"}}},{"type":"object","properties":{"id":{"type":"integer"},"diffObject":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"},"typeId":{"type":"integer"}}},"changed":{"type":"string","format":"date"},"action":{"type":"string"},"author":{"type":"string"}}}]}}}}}}}}}}}}
```

## Get team usage

> Retrieves a list of daily centicredits, operations, and data transfer usage for all scenarios within a specified team over the past 30 days.\
> \
> By default, the endpoint uses the timezone of the user making the API call to define the start and end of each day in the 30-day timeframe.\
> \
> To use the organization's timezone instead, set the \`organizationTimezone\` parameter to \`true\`. This ensures that the daily aggregates align with the organization's operational hours. This is especially useful for scenarios where aggregated data needs to align with the organization's operational hours.\
> \
> For instance, a remote data analyst in India working for a Czech company can set \`organizationTimezone=true\` to ensure the usage data reflects the company's timezone, providing more relevant and accurate insights for organizational reporting and analysis.\
> \
> For more information on timezones in Make, please refer to our \[Help Center article]\(<https://www.make.com/en/help/general/manage-time-zones>).<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["teams:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}/usage":{"get":{"tags":["Teams"],"summary":"Get team usage","description":"Retrieves a list of daily centicredits, operations, and data transfer usage for all scenarios within a specified team over the past 30 days.\n\nBy default, the endpoint uses the timezone of the user making the API call to define the start and end of each day in the 30-day timeframe.\n\nTo use the organization's timezone instead, set the `organizationTimezone` parameter to `true`. This ensures that the daily aggregates align with the organization's operational hours. This is especially useful for scenarios where aggregated data needs to align with the organization's operational hours.\n\nFor instance, a remote data analyst in India working for a Czech company can set `organizationTimezone=true` to ensure the usage data reflects the company's timezone, providing more relevant and accurate insights for organizational reporting and analysis.\n\nFor more information on timezones in Make, please refer to our [Help Center article](https://www.make.com/en/help/general/manage-time-zones).\n","parameters":[{"name":"teamId","in":"path","schema":{"type":"integer"},"required":true,"description":"The ID of the team."},{"name":"organizationTimezone","in":"query","schema":{"type":"boolean"},"required":false,"description":"When set to `true`, the endpoint will calculate and return usage data based on the organization's timezone instead of the user's local timezone."}],"responses":{"200":{"description":"Successfully retrieved usage data","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"date":{"type":"string","format":"date"},"operations":{"type":"integer"},"dataTransfer":{"type":"integer"},"centicredits":{"type":"bigint"}}}}}}}}}}}}}}
```

## Get feature controls of an organization which the team belongs to

> Retrieves all feature controls for the specified organization which the team belongs to.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Teams","description":"Teams are containers that contain scenarios and data accessible only by the members of the team. The API endpoints discussed further allow you to manage teams. [Read more about teams](https://www.make.com/en/help/access-management/teams)."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organizations:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/teams/{teamId}/feature-controls":{"get":{"tags":["Teams"],"summary":"Get feature controls of an organization which the team belongs to","description":"Retrieves all feature controls for the specified organization which the team belongs to.\n","parameters":[{"name":"teamId","in":"path","description":"The ID of the team.","schema":{"type":"integer"},"required":true},{"name":"featureControlName","in":"query","description":"The feature control name.","schema":{"type":"string"},"required":false},{"name":"cols","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/api-documentation/pagination-sorting-filtering/filtering)\n","required":false}],"responses":{"200":{"description":"Successfully retrieved feature controls","content":{"application/json":{"schema":{"type":"object","properties":{"enableAllControlFeatures":{"type":"boolean"},"featureControls":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"label":{"type":"object"},"description":{"type":"object"},"tags":{"type":"array","items":{"type":"string"}},"warning_message":{"type":"object"},"enabled":{"type":"boolean"}}}}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.make.com/api-documentation/api-reference/teams.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
